package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 离职人员对象 sys_user_quit
 * 
 * @author dgtly
 * @date 2022-06-16
 */
public class SysUserQuit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Long isDelete;

    /** 人员名称 */
    @Excel(name = "人员名称")
    private String name;

    /** 登陆账号 */
    @Excel(name = "登陆账号")
    private String loginname;

    /** 邮件 */
    @Excel(name = "邮件")
    private String email;

    /** 电话 */
    @Excel(name = "电话")
    private String mobile;

    /** 雇员id */
    @Excel(name = "雇员id")
    private String sapemployeeid;

    /** null */
    @Excel(name = "null")
    private String sapcostcentercode;

    /** null */
    @Excel(name = "null")
    private String sapcostcenter;

    /** null */
    @Excel(name = "null")
    private String sapcompanycode;

    /** null */
    @Excel(name = "null")
    private String sapcompanyname;

    /** 状态0离职 */
    @Excel(name = "状态0离职")
    private String status;

    /** 离职时间 */
    @Excel(name = "离职时间")
    private String leavedate;

    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setLoginname(String loginname) 
    {
        this.loginname = loginname;
    }

    public String getLoginname() 
    {
        return loginname;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setMobile(String mobile) 
    {
        this.mobile = mobile;
    }

    public String getMobile() 
    {
        return mobile;
    }
    public void setSapemployeeid(String sapemployeeid) 
    {
        this.sapemployeeid = sapemployeeid;
    }

    public String getSapemployeeid() 
    {
        return sapemployeeid;
    }
    public void setSapcostcentercode(String sapcostcentercode) 
    {
        this.sapcostcentercode = sapcostcentercode;
    }

    public String getSapcostcentercode() 
    {
        return sapcostcentercode;
    }
    public void setSapcostcenter(String sapcostcenter) 
    {
        this.sapcostcenter = sapcostcenter;
    }

    public String getSapcostcenter() 
    {
        return sapcostcenter;
    }
    public void setSapcompanycode(String sapcompanycode) 
    {
        this.sapcompanycode = sapcompanycode;
    }

    public String getSapcompanycode() 
    {
        return sapcompanycode;
    }
    public void setSapcompanyname(String sapcompanyname) 
    {
        this.sapcompanyname = sapcompanyname;
    }

    public String getSapcompanyname() 
    {
        return sapcompanyname;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setLeavedate(String leavedate) 
    {
        this.leavedate = leavedate;
    }

    public String getLeavedate() 
    {
        return leavedate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .append("name", getName())
            .append("loginname", getLoginname())
            .append("email", getEmail())
            .append("mobile", getMobile())
            .append("sapemployeeid", getSapemployeeid())
            .append("sapcostcentercode", getSapcostcentercode())
            .append("sapcostcenter", getSapcostcenter())
            .append("sapcompanycode", getSapcompanycode())
            .append("sapcompanyname", getSapcompanyname())
            .append("status", getStatus())
            .append("leavedate", getLeavedate())
            .toString();
    }
}
